de.esprit.appsuite.type

## Enum SortMode

- java.lang.Object
- - java.lang.Enum<SortMode>
  - - de.esprit.appsuite.type.SortMode

- All Implemented Interfaces:
    NlsKey, PersistentId, java.io.Serializable, java.lang.Comparable<SortMode>

      public enum SortMode
      extends java.lang.Enum<SortMode>
      implements NlsKey, PersistentId

  Defines three ways of sorting
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING`
    `DESCENDING`
    `NONE`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortMode` | `fromPersistentId(int id)`
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `int` | `getPersistentId()` Returns the int value to be stored in the database or file.
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static SortMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### NONE

          public static final SortMode NONE

    - #### ASCENDING

          public static final SortMode ASCENDING

    - #### DESCENDING

          public static final SortMode DESCENDING

  - ### Method Detail

    - #### values

          public static SortMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortMode c : SortMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPersistentId

          public int getPersistentId()

      Description copied from interface: `PersistentId`
      Returns the int value to be stored in the database or file. Note that the implementing Enum must also have a static method named fromPersistentId(int). This ensures that the Enum can be instantiated from the int read from database or file.
      Specified by:
        `getPersistentId` in interface `PersistentId`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### fromPersistentId

          public static SortMode fromPersistentId(int id)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.